// OutputTrace.cs
//
// PRESTO Starter Kit for Microsoft .NET 3.0
// 2007 Microsoft France
// Published under the CECILL-B Free Software license agreement.
// (http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt)
// 
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE. 
// THE ENTIRE RISK OF USE OR RESULTS IN CONNECTION WITH THE USE OF THIS CODE 
// AND INFORMATION REMAINS WITH THE USER. 
//

using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Presto.StarterKit
{
    public class OutputTrace
    {
        public delegate void LogDelegate(string ms);

        public static void Log(string message)
        {
            System.Diagnostics.Debug.WriteLine("[PRESTO Target Application] " + message);
            if (OnLogMessage != null) 
                 OnLogMessage(message);
        }

        public static event LogDelegate OnLogMessage;
    }
}
